%define prefix /usr

Summary: KwinTV - KDE Video4Linux Stream Capture Viewer
Name: kwintv
Version: 0.8.11
Release: 4mdk
Source: %name-%version.tar.bz2
Patch:	kwintv-0.8.9-config.diff.bz2
Patch1: kwintv-fix2.patch.bz2
Group: Video
License: GPL
URL: http://www.staikos.on.ca/~staikos/kwintv/
BuildRoot: %_tmppath/%name-%version.root
BuildRequires: kdelibs-devel, libqt2-devel, arts, libjpeg-devel, libpng-devel kdebase-devel
Requires: kdelibs, libqt2, arts, libjpeg, libpng, kdebase
# kdebase is required for dr. konqi
# arts is requires for mcop*

%description
KWinTV allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xtvscreen which is included
in the bttv-driver package, but it is is based on Qt and integrated
in KDE.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
export CXXFLAGS='-s -O' CXX=gcc-2.96
export CXXFLAGS=' '  CFLAGS=' ' CXX=gcc-2.96
# (TV): fix for stupid build system
for i in kwintv/{kwintv,screensaver}/Makefile.in; do
	perl -pi -e 's! --tag=CXX!!g' $i
done
%configure --disable-rpath --enable-debug
%make

%install
%makeinstall  R="$RPM_BUILD_ROOT" SUID_ROOT="" 
cp kwintv/fonts/led-fixed.pcf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
cat > $RPM_BUILD_ROOT%{_menudir}/kwintv <<EOF
?package(kwintv): command="kwintv" icon="kwintv.png" section="Multimedia/Video" \
title="KWinTV" longtitle="The KDE Video4Linux Stream Capture Viewer" needs="x11"
EOF
install -m 644  kwintv/kwintv/icons/kwintv_24x24.png $RPM_BUILD_ROOT%{_iconsdir}/kwintv.png
install -m 644  kwintv/kwintv/icons/kwintv_16x16.png $RPM_BUILD_ROOT%{_miconsdir}/kwintv.png
install -m 644  kwintv/kwintv/icons/kwintv_48x48.png $RPM_BUILD_ROOT%{_liconsdir}/kwintv.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
[ -f /usr/sbin/chkfontpath ] && /usr/sbin/chkfontpath -q -a %_prefix/X11R6/lib/X11/fonts/
cd /usr/X11R6/lib/X11/fonts/
mkfontdir
xset fp rehash || true

%postun
%{clean_menus}
if [ "$1" = "0" ]; then
    /usr/sbin/chkfontpath -q -r %_prefix/X11R6/lib/X11/fonts/
fi


%files
%defattr(-,root,root)
%doc kwintv/ChangeLog kwintv/INSTALL
%_bindir/kwintv
%_bindir/kwintvsaver.kss
%attr(4711, root, root) %_bindir/kv4lsetup 
# Desktop files
%_datadir/applnk/Multimedia/kwintv.desktop
%_datadir/applnk/Multimedia/kv4lsetup.desktop
%_datadir/applnk/System/ScreenSavers/KWinTVSaver.desktop
%_datadir/apps/kwintv/kwintvui.rc
# Menu entry
%{_menudir}/kwintv
%{_liconsdir}/kwintv.png
%{_miconsdir}/kwintv.png
%{_iconsdir}/kwintv.png
# Icons
%_datadir/apps/kwintv/toolbar/*.png
%_datadir/apps/kwintv/pics/*.png
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/22x22/apps/%name.png
%_iconsdir/hicolor/22x22/actions/*.png
%_iconsdir/hicolor/48x48/apps/%name.png
# Fonts
%_prefix/X11R6/lib/X11/fonts/led-fixed.pcf

%changelog
* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-4mdk
- get the real crash fix from the cvs (the authors sucked and has
  never released the 0.8.12 before switching to kde3 despite he
  bumped the release number)

* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-3mdk
- fix {Build,}Requires
- use gcc-2.96 as kde libs used it
- downgrade optimizations
- fix dr. konqui not found problem
- fix mcop* not found problem
- fix crash (laurent montel)

* Wed Mar 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-2mdk
- add some missing files

* Tue Feb 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-1mdk
- new release
- icons are png now
- disable rpath
- adapt spec file
- missing changelog entries for 0.8.[1-5] releases, never uploaded because 
  of fscking kde2 adaptation

* Tue Oct 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-2mdk
- Re-add dpms support
- Remove old patch

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Clean build against kde1-compat

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.99-1mdk
- new release
- fix build against KDE2
- fix build when no bttv device is present
- fix for build against XFree86-4
- fix group
- add menu entry and icons
- fix buildroot
- get rid of find in %%files
- fix %%post and %%preun scripts
- add some docs
- add missing icons
- remove ownership on system wide directories (%{_datadir} and the like)

* Thu Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
- Please test! I do not have such a device!!!
